> For a complete page index, fetch https://docs.transak.com/llms.txt # Get VBA List GET https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list Fetch the list of Virtual Bank Accounts (VBAs) for Virtual Account Payments. Reference: https://docs.transak.com/api/whitelabel/virtual-account-payments/get-virtual-bank-account-list ## Request ### Query parameters - `status` (string, required) — Filter VBAs by status. Supported values - `ALL`, `ACTIVE`, `INACTIVE`, `INITIATED`. ### Headers - `x-user-ip` (string, required) — End user's originating IP. More details [here](/guides/mandatory-security-changes#user-ip-header-in-apis) - `x-api-key` (string, required) — Your Partner API key. You can find this in the [Partner Dashboard](https://docs.transak.com/guides/how-to-create-partner-dashboard-account#open-the-developers-section). - `authorization` (string, optional) — Authorization token is the accessToken received from the API - `api/v2/auth/verify` Note: This is not applicable for [Auth Reliance Flows](/features/auth-reliance) - `x-user-identifier` (string, optional) — Your authenticated user Email Id address. Note: This is applicable only for [Auth Reliance Flows](/features/auth-reliance) - `x-access-token` (string, optional) — Your Partner Access Token. Please refer [here](/guides/how-to-create-partner-access-token) for a tutorial on generating your access token. Note: This is applicable only for [Auth Reliance Flows](/features/auth-reliance) ## Response ### 200 Success - `data` (ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaData, required) ## Errors ### 400 Bad Request Error Invalid Request - `error` (ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaError, optional) ### 401 Unauthorized Error Unauthorized - `error` (ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaError, optional) ### 404 Not Found Error 404 - User Not Found - `error` (ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaError, required) ### 500 Internal Server Error Internal Server Error - `error` (ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaError, required) ## Types ### ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaData - `items` (list of ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaDataItemsItems, required) — List of Virtual Bank Accounts - `count` (integer, required) — Total number of items returned ### ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaError - `statusCode` (integer, required) - `message` (string, required) ### ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaDataItemsItems - `id` (string, optional) — Generated Virtual Bank Identifier - `status` (string, optional) — Current VBA status - `source` (ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaDataItemsItemsSource, optional) — Source bank details mapped to this VBA - `destination` (ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaDataItemsItemsDestination, optional) — Destination crypto transfer details ### ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaDataItemsItemsSource Source bank details mapped to this VBA - `fiatCurrency` (string, optional) — Fiat currency for the VBA - `bankAccount` (ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaDataItemsItemsSourceBankAccount, optional) - `bankLocalCode` (ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaDataItemsItemsSourceBankLocalCode, optional) ### ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaDataItemsItemsDestination Destination crypto transfer details - `cryptoCurrency` (string, optional) - `walletAddress` (string, optional) - `network` (string, optional) - `memoTag` (string, optional) ### ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaDataItemsItemsSourceBankAccount - `type` (string, optional) - `value` (string, optional) ### ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaDataItemsItemsSourceBankLocalCode - `type` (string, optional) - `value` (string, optional) ## Examples ### Complete VBA ALL List **Response** ```json { "data": { "items": [ { "id": "698475e474c810f090ee01fd", "status": "ACTIVE", "source": { "fiatCurrency": "USD", "bankAccount": { "type": "account_number", "value": "359309664407" }, "bankLocalCode": { "type": "routing_number", "value": "021000021" } }, "destination": { "cryptoCurrency": "ETH", "walletAddress": "0xC8CD2BE653759aed7B0996315821AAe71e1FEAdF", "network": "ethereum", "memoTag": "test" } }, { "id": "698475e474c810f090ee01ff", "status": "INITIATED", "source": { "fiatCurrency": "GBP", "bankAccount": { "type": "account_number", "value": "" }, "bankLocalCode": { "type": "sort_code", "value": "" } }, "destination": { "cryptoCurrency": "ETH", "walletAddress": "0x82CD2BE653759aed7B0996315821AAe71e1FEA22", "network": "ethereum", "memoTag": "gbp-transfer" } } ], "count": 2 } } ``` **SDK Code** ```python Complete VBA ALL List import requests url = "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list" querystring = {"status":"ALL"} headers = { "x-api-key": "", "x-user-ip": "" } response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript Complete VBA ALL List const url = 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list?status=ALL'; const options = {method: 'GET', headers: {'x-api-key': '', 'x-user-ip': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Complete VBA ALL List package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list?status=ALL" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-api-key", "") req.Header.Add("x-user-ip", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Complete VBA ALL List require 'uri' require 'net/http' url = URI("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list?status=ALL") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-api-key"] = '' request["x-user-ip"] = '' response = http.request(request) puts response.read_body ``` ```java Complete VBA ALL List import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list?status=ALL") .header("x-api-key", "") .header("x-user-ip", "") .asString(); ``` ```php Complete VBA ALL List request('GET', 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list?status=ALL', [ 'headers' => [ 'x-api-key' => '', 'x-user-ip' => '', ], ]); echo $response->getBody(); ``` ```csharp Complete VBA ALL List using RestSharp; var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list?status=ALL"); var request = new RestRequest(Method.GET); request.AddHeader("x-api-key", ""); request.AddHeader("x-user-ip", ""); IRestResponse response = client.Execute(request); ``` ```swift Complete VBA ALL List import Foundation let headers = [ "x-api-key": "", "x-user-ip": "" ] let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list?status=ALL")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ### ACTIVE VBA List **Response** ```json { "data": { "items": [ { "id": "698475e474c810f090ee01fd", "status": "ACTIVE", "source": { "fiatCurrency": "USD", "bankAccount": { "type": "account_number", "value": "359309664407" }, "bankLocalCode": { "type": "routing_number", "value": "021000021" } }, "destination": { "cryptoCurrency": "ETH", "walletAddress": "0xC8CD2BE653759aed7B0996315821AAe71e1FEAdF", "network": "ethereum", "memoTag": "test" } }, { "id": "698475e474c810f090ee01ff", "status": "ACTIVE", "source": { "fiatCurrency": "GBP", "bankAccount": { "type": "account_number", "value": "00083038" }, "bankLocalCode": { "type": "sort_code", "value": "040509" } }, "destination": { "cryptoCurrency": "ETH", "walletAddress": "0x82CD2BE653759aed7B0996315821AAe71e1FEA22", "network": "ethereum", "memoTag": "gbp-transfer" } } ], "count": 2 } } ``` **SDK Code** ```python ACTIVE VBA List import requests url = "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list" querystring = {"status":"ALL"} headers = { "x-api-key": "", "x-user-ip": "" } response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript ACTIVE VBA List const url = 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list?status=ALL'; const options = {method: 'GET', headers: {'x-api-key': '', 'x-user-ip': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go ACTIVE VBA List package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list?status=ALL" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-api-key", "") req.Header.Add("x-user-ip", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby ACTIVE VBA List require 'uri' require 'net/http' url = URI("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list?status=ALL") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-api-key"] = '' request["x-user-ip"] = '' response = http.request(request) puts response.read_body ``` ```java ACTIVE VBA List import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list?status=ALL") .header("x-api-key", "") .header("x-user-ip", "") .asString(); ``` ```php ACTIVE VBA List request('GET', 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list?status=ALL', [ 'headers' => [ 'x-api-key' => '', 'x-user-ip' => '', ], ]); echo $response->getBody(); ``` ```csharp ACTIVE VBA List using RestSharp; var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list?status=ALL"); var request = new RestRequest(Method.GET); request.AddHeader("x-api-key", ""); request.AddHeader("x-user-ip", ""); IRestResponse response = client.Execute(request); ``` ```swift ACTIVE VBA List import Foundation let headers = [ "x-api-key": "", "x-user-ip": "" ] let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list?status=ALL")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ### INACTIVE VBA List **Response** ```json { "data": { "items": [ { "id": "698475e474c810f090ee01fd", "status": "INACTIVE", "source": { "fiatCurrency": "USD", "bankAccount": { "type": "account_number", "value": "359309664407" }, "bankLocalCode": { "type": "routing_number", "value": "021000021" } }, "destination": { "cryptoCurrency": "ETH", "walletAddress": "0xC8CD2BE653759aed7B0996315821AAe71e1FEAdF", "network": "ethereum", "memoTag": "test" } }, { "id": "698475e474c810f090ee01ff", "status": "INACTIVE", "source": { "fiatCurrency": "GBP", "bankAccount": { "type": "account_number", "value": "00083038" }, "bankLocalCode": { "type": "sort_code", "value": "040509" } }, "destination": { "cryptoCurrency": "ETH", "walletAddress": "0x82CD2BE653759aed7B0996315821AAe71e1FEA22", "network": "ethereum", "memoTag": "gbp-transfer" } } ], "count": 2 } } ``` **SDK Code** ```python INACTIVE VBA List import requests url = "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list" querystring = {"status":"ALL"} headers = { "x-api-key": "", "x-user-ip": "" } response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript INACTIVE VBA List const url = 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list?status=ALL'; const options = {method: 'GET', headers: {'x-api-key': '', 'x-user-ip': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go INACTIVE VBA List package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list?status=ALL" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-api-key", "") req.Header.Add("x-user-ip", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby INACTIVE VBA List require 'uri' require 'net/http' url = URI("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list?status=ALL") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-api-key"] = '' request["x-user-ip"] = '' response = http.request(request) puts response.read_body ``` ```java INACTIVE VBA List import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list?status=ALL") .header("x-api-key", "") .header("x-user-ip", "") .asString(); ``` ```php INACTIVE VBA List request('GET', 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list?status=ALL', [ 'headers' => [ 'x-api-key' => '', 'x-user-ip' => '', ], ]); echo $response->getBody(); ``` ```csharp INACTIVE VBA List using RestSharp; var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list?status=ALL"); var request = new RestRequest(Method.GET); request.AddHeader("x-api-key", ""); request.AddHeader("x-user-ip", ""); IRestResponse response = client.Execute(request); ``` ```swift INACTIVE VBA List import Foundation let headers = [ "x-api-key": "", "x-user-ip": "" ] let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list?status=ALL")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ### VBA INITIATED **Response** ```json { "data": { "items": [ { "id": "698475e474c810f090ee01fd", "status": "INITIATED", "source": { "fiatCurrency": "USD", "bankAccount": { "type": "account_number", "value": "" }, "bankLocalCode": { "type": "routing_number", "value": "" } }, "destination": { "cryptoCurrency": "ETH", "walletAddress": "0xC8CD2BE653759aed7B0996315821AAe71e1FEAdF", "network": "ethereum", "memoTag": "test" } }, { "id": "698475e474c810f090ee01ff", "status": "INITIATED", "source": { "fiatCurrency": "GBP", "bankAccount": { "type": "account_number", "value": "" }, "bankLocalCode": { "type": "sort_code", "value": "" } }, "destination": { "cryptoCurrency": "ETH", "walletAddress": "0x82CD2BE653759aed7B0996315821AAe71e1FEA22", "network": "ethereum", "memoTag": "gbp-transfer" } } ], "count": 2 } } ``` **SDK Code** ```python VBA INITIATED import requests url = "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list" querystring = {"status":"ALL"} headers = { "x-api-key": "", "x-user-ip": "" } response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript VBA INITIATED const url = 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list?status=ALL'; const options = {method: 'GET', headers: {'x-api-key': '', 'x-user-ip': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go VBA INITIATED package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list?status=ALL" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-api-key", "") req.Header.Add("x-user-ip", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby VBA INITIATED require 'uri' require 'net/http' url = URI("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list?status=ALL") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-api-key"] = '' request["x-user-ip"] = '' response = http.request(request) puts response.read_body ``` ```java VBA INITIATED import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list?status=ALL") .header("x-api-key", "") .header("x-user-ip", "") .asString(); ``` ```php VBA INITIATED request('GET', 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list?status=ALL', [ 'headers' => [ 'x-api-key' => '', 'x-user-ip' => '', ], ]); echo $response->getBody(); ``` ```csharp VBA INITIATED using RestSharp; var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list?status=ALL"); var request = new RestRequest(Method.GET); request.AddHeader("x-api-key", ""); request.AddHeader("x-user-ip", ""); IRestResponse response = client.Execute(request); ``` ```swift VBA INITIATED import Foundation let headers = [ "x-api-key": "", "x-user-ip": "" ] let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list?status=ALL")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```